%global ipadicver	2.7.0
%global src_date	20060707
%global momorel		1
%global md5sum_src0	45b9f822700ad4eceb6722d6edcc2a46
%global dir_num 	20904
%global mecabver	0.92

Name:		mecab-ipadic
Summary:	IPA dictionary for MeCab
Version:	%{ipadicver}
Release:	0.%{src_date}.%{momorel}m
License:	"ipadic"
Group:		Development/Libraries
URL:		http://mecab.sourceforge.jp/
%NoSource 0	http://downloads.sourceforge.jp/mecab/%{dir_num}/%{name}-%{version}-%{src_date}.tar.gz %{md5sum_src0}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	mecab >= %{mecabver}
BuildRequires:	mecab-devel >= %{mecabver}

%description
IPA dictionary for MeCab.


%prep
%setup -q -n %{name}-%{version}-%{src_date}

%build
%configure --with-charset=utf8 --with-mecab-config=%{_bindir}/mecab-config

%make

%install
rm -rf --preserve-root %{buildroot}
%make dicdir=%{buildroot}/%{_libdir}/mecab/dic/ipadic install

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%dir %{_libdir}/mecab/dic/ipadic
%{_libdir}/mecab/dic/ipadic/*


%changelog
* Sat Jul 29 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.7.0-20060707.1m)
- update to 2.7.0-20060707 (with mecab-0.92)

* Mon May 08 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.7.0-0.20060408.1m)
- separate from mecab package
